/* media 1199px */

@media screen and (max-width: 1440px) {
  .gradient-card {
    width: 100%;
    height: 160px;
    padding: 20px;
  }

  .sale-card span {
    line-height: 35px;
    font-size: 28px;
  }

  .bg-blue-gradient span {
    line-height: 26px;
    font-size: 19px !important;
  }
}

@media screen and (max-width: 1399px) {
  .product-mnimg {
    height: 105px;
  }
  .delivery-rate {
    max-width: 210px !important;
  }

  .sub-card-store {
    max-width: 140px !important;
  }

  .app-card h3 {
    font-size: 52px;
  }

  .about-text p {
    line-height: 26px;
  }

  .about-text h3 {
    font-size: 50px;
    line-height: 55px;
  }

  .dummy-text p {
    line-height: 26px;
  }

  .dummy-text h3 {
    font-size: 50px;
    line-height: 55px;
  }
}

@media screen and (max-width: 1280px) {
  .dummy-text p {
    line-height: 24px;
    font-size: 17px;
    font-weight: 500;
    padding-bottom: 25px;
    margin-bottom: 0px;
  }

  .about-text p {
    line-height: 24px;
    font-size: 17px;
    font-weight: 500;
    padding-bottom: 25px;
    margin-bottom: 0px;
  }

  .fw-normal {
    font-weight: 300 !important;
  }

  .app-card h3 {
    font-size: 55px;
  }

  .about-text h3 {
    font-size: 50px;
    line-height: 55px;
  }

  .dummy-text h3 {
    font-size: 50px;
    line-height: 55px;
  }

  .app-btn-footer div h5 {
    margin-bottom: 0px !important;
    font-size: 14px;
  }

  .app-btn-footer div span {
    margin-bottom: 0px !important;
    font-size: 13px;
  }
}

@media screen and (max-width: 1199px) {
  .mb-cus {
    margin-bottom: 10vh;
  }

  .delivery-rate {
    max-width: 460px !important;
  }

  .sub-card-store {
    max-width: 300px !important;
  }

  .fs-18 {
    font-size: 16px !important;
  }

  .gap-25 {
    gap: 6px;
  }

  .fliter-inp {
    font-size: 16px;
  }

  .fliter-btn {
    font-size: 14px;
    padding: 8px 14px;
  }

  .search-btn {
    font-size: 14px;
  }

  .mw-550 {
    max-width: 425px !important;
  }

  .hero-txt p {
    font-size: 18px;
  }

  .hero-txt h1 {
    font-size: 50px;
    line-height: 65px;
  }

  .fs-45-h {
    font-size: 38px;
    font-weight: 400;
  }

  .fs-18-p {
    font-size: 16px;
    font-weight: 500;
  }

  .cat-img {
    width: 65px !important;
  }

  .about-text p {
    font-size: 14px;
  }

  .about-text h3 {
    font-size: 40px;
  }

  .dummy-text p {
    font-size: 16px;
  }

  .dummy-text h3 {
    font-size: 40px;
  }

  .d-grid-8 {
    gap: 20px;
  }

  .grid-img {
    max-width: 95px;
  }

  .market-icn {
    left: 50%;
  }

  .app-icn {
    width: 42px;
  }

  .app-btn div span {
    font-size: 14px;
  }

  .app-btn div h5 {
    font-size: 18px;
  }

  .app-card p {
    font-size: 16px;
  }

  .app-card h3 {
    font-size: 40px;
  }

  .fs-16 {
    font-size: 16px !important;
  }

  .footer-logo {
    max-width: 150px !important;
    display: inline-block;
  }

  .fs-24 {
    font-size: 20px !important;
  }
  .app-btn-footer div span {
    font-size: 12px;
  }

  .app-btn-footer div h5 {
    font-size: 14px;
  }
}

@media screen and (max-width: 1098px) {
  .d-grid-9 {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 0 27px !important;
  }

  .grocerie-category-icn {
    max-height: 100% !important;
    max-width: 100% !important;
  }

  .sub-track-card {
    padding: 20px 40px;
  }

  .delivery-rate {
    max-width: 455px;
  }

  .sub-card-store {
    max-width: 295px;
  }

  .fs-16 {
    font-size: 14px !important;
  }

  .app-btn-footer {
    gap: 5px;
  }

  .cat-box {
    padding: 20px 15px !important;
  }

  .about-text p {
    line-height: 24px;
    padding-bottom: 10px;
  }

  .about-text h3 {
    line-height: 40px;
  }

  .dummy-text p {
    line-height: 24px;
    padding-bottom: 10px;
  }

  .dummy-text h3 {
    line-height: 40px;
  }
}

@media screen and (max-width: 1024px) {
  .delivery-rate {
    max-width: 100% !important;
  }

  .sub-card-store {
    max-width: 100% !important;
  }
}

/* media 996px */

@media screen and (min-width: 996px) {
  .g-60 {
    display: none !important;
  }

  .desktop-header {
    display: block !important;
  }

  .mobile-header {
    display: none !important;
  }
}

@media screen and (max-width: 995px) {
  .canvas-screen {
    padding: 10px 10px 30px 10px;
  }

  .inp-verfiy {
    width: 35px;
    height: 35px;
    font-size: 16px;
  }

  .fliter-inp {
    padding: 6px 6px;
  }

  .sub-card-store {
    height: auto !important;
  }

  .groceries-card {
    height: auto !important;
  }

  .cat-box {
    height: auto !important;
  }

  .market-card {
    height: auto !important;
  }

  .login-card {
    padding: 20px !important;
  }

  .driverprofile-card {
    padding: 20px !important;
  }

  .iti .iti__selected-dial-code {
    font-size: 14px !important;
  }

  .delivery-group {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px;
  }

  .package-group {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 15px;
  }

  .inp-frnt {
    width: 100% !important;
  }

  .driver-inp {
    width: 100% !important;
  }

  .role-card {
    width: 100%;
  }

  .wishlist-img {
    height: auto;
  }

  .contact-text h3 {
    font-size: 30px;
  }

  .contact-text p {
    line-height: 26px;
    font-size: 16px;
  }

  .contact-img img {
    height: auto !important;
  }

  .about-img img {
    height: auto !important;
  }

  .dummy-img img {
    height: auto !important;
  }

  .hero-sec {
    height: auto !important;
  }

  .cus-pb {
    padding-bottom: 5vh;
  }

  .policy-content p {
    line-height: 24px;
  }

  .fw-normal {
    font-weight: 400 !important;
  }

  .main-user {
    width: 40px;
    height: 40px;
  }

  .bg-hero {
    padding: 60px 0;
  }

  .desktop-header {
    display: none !important;
  }

  .navbar-expand-lg .navbar-collapse {
    display: none !important;
  }

  .mobile-header {
    display: block !important;
  }

  .product-mark {
    max-width: 44px;
    max-height: 44px;
  }

  .mb-cus {
    margin-bottom: 4vh;
  }

  .d-grid-9 {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0 20px !important;
  }

  .sub-track-card {
    padding: 20px 20px;
  }

  .cart {
    height: 40px;
    width: 40px;
  }

  .cat-box {
    padding: 20px 0 !important;
  }

  .single-img {
    padding: 60px 50px;
    max-width: 100% !important;
    max-height: 100% !important;
    margin: auto;
  }

  .footer-bg {
    margin-top: 60px !important;
  }

  .bg-dummy {
    padding: 60px 0px !important;
  }

  .fs-24 {
    font-size: 22px !important;
  }

  .fs-16 {
    font-size: 14px !important;
  }

  .sub-card-store {
    max-width: 100% !important;
  }

  .delivery-rate {
    max-width: 100% !important;
  }

  .breadcrumb-section h1 {
    font-size: 35px;
    margin-bottom: 10px;
  }

  .fs-20 {
    font-size: 18px !important;
  }

  .navbar > .container-fluid {
    display: inline-block;
  }

  .hero-txt h1 {
    width: 100% !important;
    font-size: 40px;
    line-height: 45px;
  }

  .hero-txt p {
    margin-top: 15px;
    margin-bottom: 25px;
    width: 100% !important;
    font-size: 16px;
    line-height: 24px;
  }

  .fliter-icn {
    padding-inline-start: 10px;
    width: 42px;
  }

  .search-btn {
    max-width: 90px;
    font-size: 16px;
    padding: 10px 20px;
  }

  .mw-550 {
    max-width: 100% !important;
  }

  .about-text p {
    line-height: 28px;
    padding-bottom: 30px;
  }

  .dummy-text p {
    line-height: 28px;
    padding-bottom: 30px;
  }

  .fs-45-h {
    font-size: 34px;
  }

  .about-text h3 {
    font-size: 34px;
    line-height: 30px;
  }

  .dummy-text h3 {
    font-size: 34px;
    line-height: 30px;
  }

  .d-grid-8 {
    gap: 20px 20px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
  }

  .grid-img {
    max-width: 100%;
  }

  .app-card {
    text-align: center;
    padding-bottom: 20px;
  }

  .app-img {
    text-align: center;
  }

  .market-icn {
    left: 50%;
  }
}

@media screen and (max-width: 991px) {
  .map-wrapper {
    height: 320px !important;
  }
}

/* media 767px */

@media screen and (max-width: 768px) {
  .section-title {
    font-size: 24px;
  }

  .driver-table tr {
    display: flex;
    flex-direction: column;
    padding: 10px 0;
  }

  .driver-table .label {
    width: 100%;
    font-size: 0.85rem;
    color: #777;
  }

  .driver-table .value {
    width: 100%;
    font-size: 0.95rem;
  }

  .document-item {
    flex-direction: column;
    align-items: flex-start;
    gap: 5px;
  }

  .more-dropdown {
    width: fit-content;
    min-width: 260px;
    max-width: 600px;
  }

  .grid-img {
    padding: 50px;
    max-width: 100%;
  }

  .bg-hero {
    padding: 30px 0;
  }

  .d-grid-9 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }

  .breadcrumb-section p {
    width: 100%;
    margin: auto;
  }

  .fs-24 {
    font-size: 20px !important;
  }

  .ms-150 {
    margin-left: 120px;
  }

  .store-icn {
    width: 70px;
    margin: auto;
  }

  .star-badge {
    padding: 6px;
  }

  .w-105 {
    max-width: 80px;
    max-height: 80px;
  }

  .cus-store-position {
    position: absolute;
    bottom: 0px;
    left: 25px;
  }

  .breadcrumb-section h1 {
    font-size: 35px;
    margin-bottom: 10px;
  }

  .fliter-btn {
    font-size: 14px;
    padding: 6px 10px;
  }

  .fliter-inp {
    font-size: 14px;
  }

  .g-60 {
    gap: 40px;
  }

  .mw-550 {
    max-width: 100% !important;
  }

  .market-icn {
    left: 50%;
  }
}

@media screen and (max-width: 640px) {
  .cat-text p {
    width: 100%;
  }
  .review-left {
    padding-right: 24px; /* space before divider */
  }

  /* Gap on left side (right column) */
  .review-right {
    padding-left: 24px;
  }

  .review-left::after {
    display: none;
  }

  .market-icn {
    left: 50%;
  }
}

/* media 576px */

@media screen and (max-width: 576px) {

  .bid-price {
  font-size: 14px;
  color: #212121;
  }

  .bid-price svg{
    width: 14px !important;
    height: 14px !important;
  
  }

  .chat-wrapper {
    min-height: 400px;
  }

  .chat-header {
    padding: 18px 18px;
  }

  .avatar img {
    width: 40px;
    height: 40px;
  }

  .header-name {
    font-size: 18px;
  }

  .header-role {
    font-size: 14px;
  }

  .bubble {
    font-size: 13px;
  }

  .chat-input {
    font-size: 13px;
  }

  .chat-wrapper {
    margin-top: 35px;
    margin-left: 15px;
    margin-right: 15px;
    border-radius: 0;
    height: 100vh;
    border: none;
  }
  .msg-row {
    max-width: 85%;
  }

  .store-meta {
    padding: 1rem 0.75rem 1rem 95px;
  }

  .logo-anchor {
    bottom: -30px;
    left: 16px;
  }

  .logo-img {
    width: 65px;
    height: 65px;
    border-radius: 16px;
  }

  .main-btn {
    font-size: 14px;
  }

  .main-darkoutlinebtn {
    font-size: 14px;
  }

  .main-outlinebtn {
    font-size: 14px;
  }

  .deliveryCostClass {
    font-size: 16px;
  }

  .flatpickr-calendar.open,
  .flatpickr-calendar.inline {
    max-height: 300px;
    overflow: scroll !important;
    scrollbar-width: none !important;
    -ms-overflow-style: none !important;
  }

  .flatpickr-calendar.open,
  .flatpickr-calendar.inline::-webkit-scrollbar {
    display: none !important;
  }

  .p-30 {
    padding: 15px !important;
  }

  .modal .flatpickr-calendar {
    width: clamp(260px, 95vw, 380px) !important;
    top: auto !important;
    bottom: 20px !important;
    transform: translateX(-50%) !important;
    border-radius: 12px;
  }

  .more-btn {
    font-size: 12px !important;
  }

  .tab-btn {
    font-size: 12px;
  }

  .order-card {
    padding: 20px 10px;
  }

  .offcanvas-header .chat-back {
    width: 5px;
    height: 5px;
  }

  .main-user-support {
    width: 45px;
    height: 45px;
    object-fit: cover;
    border: solid 1px #00bf6f;
  }

  .driver-profile {
    width: 44px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    overflow: hidden;
    border-radius: 50%;
  }

  .message-box {
    background-color: #e5f8f0;
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    overflow: hidden;
    border-radius: 50%;
  }

  .bid-avatar {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    overflow: hidden;
    border-radius: 50%;
  }

  .bid-price {
    font-size: 16px;
    color: #212121;
  }

  .delivery-group {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 15px;
  }

  .w-105 {
    border-radius: 8px;
  }

  .delivery-content {
    font-size: 16px;
  }

  .counter-box {
    display: inline-flex;
    align-items: center;
    gap: 0px;
    padding: 10px 16px;
    border-radius: 30px;
    background: transparent;
    border: solid 1px #00bf6f;
  }

  .gallery {
    max-width: 100%;
  }

  .fs-14 {
    font-size: 12px !important;
  }

  .fs-18-p {
    width: 100%;
  }

  .wrap-txt {
    flex-wrap: wrap;
  }

  .search-content {
    padding: 15px 15px;
  }

  .w-695 {
    width: auto;
  }

  .contact-text h3 {
    font-size: 30px;
  }

  .contact-text p {
    line-height: 26px;
    font-size: 14px;
  }

  .icon-bg {
    flex-shrink: 0;
    width: 35px;
    height: 35px;
  }

  .notify {
    position: absolute;
    top: 60px;
    right: 8px;
  }

  .section-row-30 {
    row-gap: 20px !important;
  }

  .user-name h4 {
    font-size: 16px;
  }

  .footer-bg {
    margin-top: 35px !important;
  }

  .icon-btn img {
    width: 20px;
    height: 20px;
  }

  .product-mark {
    max-width: 34px;
    max-height: 34px;
  }

  .emo-card {
    width: 48% !important;
  }

  .d-grid-9 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0 15px !important;
  }

  .main-outlinebtn {
    font-size: 14px;
  }

  .discount-note .percent {
    font-size: 10px;
  }

  .discount-note .off {
    font-size: 13px;
  }

  .discount-note {
    width: 65px;
    height: 65px;
  }

  .discount-note .number {
    font-size: 24px;
    line-height: 1;
  }

  .product-heading {
    font-size: 22px;
  }

  .d-grid-5 {
    gap: 15px !important;
  }

  .w-105 {
    object-fit: cover;
    max-width: 50px;
    max-height: 50px;
  }
  .cus-store-position {
    position: absolute;
    bottom: 15px;
    left: 20px;
  }

  .ms-150 {
    margin-left: 85px;
  }

  .fs-24 {
    font-size: 20px !important;
  }

  .tab-responsive {
    flex-wrap: nowrap;
    overflow-x: scroll;
    width: 100%;
  }

  .tab-responsive li button {
    display: flex;
    white-space: nowrap !important;
    justify-content: center;
    gap: 3px !important;
  }

  .fs-18 {
    font-size: 16px !important;
  }

  .market-icn {
    left: 50%;
  }

  .hero-txt p {
    margin: 15px 0px !important;
    font-size: 14px;
  }

  .hero-txt h1 {
    font-size: 35px;
    line-height: 45px;
  }

  .gap-3 {
    gap: 12px !important;
  }

  .dummy-text h3 {
    font-size: 24px;
    line-height: 28px;
  }

  .single-item-content h3 {
    font-size: 24px !important;
  }

  .dummy-text p {
    line-height: 24px;
    font-size: 14px;
  }

  .about-text h3 {
    font-size: 30px;
    line-height: 34px;
  }

  .about-text p {
    line-height: 24px;
    font-size: 14px;
  }

  .search-btn {
    font-size: 14px;
    padding: 10px 20px;
  }

  .fliter-inp {
    font-size: 14px;
  }

  .fs-45-h {
    font-size: 24px;
  }

  .fs-18-p {
    font-size: 14px;
  }

  .cat-text h3 {
    font-size: 18px;
  }

  .cat-text p {
    margin: auto;
    width: 75%;
    font-size: 14px;
  }

  .d-grid-8 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 15px 20px;
  }

  .grid-img {
    padding: 60px;
    max-width: 100%;
  }

  .app-card h3 {
    font-size: 30px;
  }

  .app-card p {
    font-size: 14px;
  }

  .bg-screen {
    padding: 40px 40px 0px 40px;
  }

  .footer-logo {
    max-width: 130px !important;
    display: inline-block;
  }

  .logo {
    width: 100px;
  }

  .bg-dummy {
    padding: 20px 0px;
  }
}

@media screen and (max-width: 499px) {
  .delivery-cart-position {
    position: absolute;
    bottom: 40px;
    left: 20px;
  }
}

@media screen and (max-width: 425px) {
  .cart {
    width: 35px;
    height: 35px;
  }

  .custom-accordion .accordion-item {
    margin-top: 20px;
  }

  .main-user {
    width: 35px;
    height: 35px;
  }

  .d-grid-9 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0 15px !important;
  }

  .cart-img {
    width: 90px;
    height: 90px;
  }

  .fs-20 {
    font-size: 16px !important;
  }

  .plus,
  .minus {
    font-size: 18px;
  }

  .counter-box span {
    font-size: 16px;
  }
  .g-60 {
    gap: 20px;
  }

  .fliter-btn {
    font-size: 12px;
    padding: 6px 10px;
  }

  .fliter-bar {
    padding: 6px 14px;
  }
}

/* media 375px */

@media screen and (max-width: 375px) {
  .break-txt {
    width: 70%;
    display: block;
  }

  .fs-24 {
    font-size: 20px !important;
  }

  .user-icn {
    width: 60px;
    height: 60px;
  }

  .fs-18 {
    font-size: 16px !important;
  }

  .grid-img {
    max-width: 100%;
    padding: 55px;
  }

  .market-icn {
    left: 50%;
  }
}

/* media 320px */

@media screen and (max-width: 320px) {
  .d-grid-9 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0 15px !important;
  }

  .user-icn {
    padding: 10px;
  }
  .ms-150 {
    margin-left: 72px;
  }

  .w-105 {
    object-fit: cover;
    max-width: 50px;
    max-height: 50px;
  }

  .grid-img {
    padding: 45px;
    max-width: 140px;
  }

  .cus-store-position {
    position: absolute;
    bottom: 5px;
    left: 10px;
  }
}
